<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class domainsController extends Controller
{

    public function index()
    {
        $masObj = new masterController();
        $masObj->setMetaData(['title' => 'Domain Page || i-Hosting Mart', 'meta_desc' => '', 'meta_keyword' => '']);
        $masObj->setData(['page' => 'domain']);
        $masObj->renderPage();
    }

    public function details()
    {
        $masObj = new masterController();
        $masObj->setMetaData(['title' => 'Domain details Page || i-Hosting Mart', 'meta_desc' => '', 'meta_keyword' => '']);
        $masObj->setData(['page' => 'domain-search-details']);
        $masObj->renderPage();
    }

    public function transfer()
    {
        $masObj = new masterController();
        $masObj->setMetaData(['title' => 'Domain Transfer Page || i-Hosting Mart', 'meta_desc' => '', 'meta_keyword' => '']);
        $masObj->setData(['page' => 'transfer']);
        $masObj->renderPage();
    }

    public function whoisLookup()
    {
        $masObj = new masterController();
        $masObj->setMetaData(['title' => 'Whois lookup Page || i-Hosting Mart', 'meta_desc' => '', 'meta_keyword' => '']);
        $masObj->setData(['page' => 'lookup']);
        $masObj->renderPage();
    }
}
